package com.mortals.xhx.module.pj.model.vo;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.pj.model.PjEvaluateStatEntity;
import java.util.ArrayList;
import java.util.List;
import lombok.Data;
import com.mortals.framework.annotation.Excel;
import java.math.BigDecimal;
import java.util.Date;
/**
* 评价汇总统计视图对象
*
* @author zxfei
* @date 2024-06-24
*/
@Data
public class PjEvaluateStatVo extends BaseEntityLong {

    /** ID列表 */
    private List <Long> idList;

    private List<String> sectionNameList;

    private List<String> pjOptionList;

    private List<String> windowFromnumList;

    private List<String> hallNameList;


    /** 开始 评价时间 */
    private String timeStart;

    /** 结束 评价时间 */
    private String timeEnd;


    /** 开始 年 */
    private Integer yearStart;

    /** 结束 年 */
    private Integer yearEnd;

    /** 增加 年 */
    private Integer yearIncrement;

    /** 年列表 */
    private List <Integer> yearList;

    /** 年排除列表 */
    private List <Integer> yearNotList;

    /** 开始 月 */
    private Integer monthStart;

    /** 结束 月 */
    private Integer monthEnd;

    /** 增加 月 */
    private Integer monthIncrement;

    /** 月列表 */
    private List <Integer> monthList;

    /** 月排除列表 */
    private List <Integer> monthNotList;

    /** 开始 日 */
    private Integer dayStart;

    /** 结束 日 */
    private Integer dayEnd;

    /** 增加 日 */
    private Integer dayIncrement;

    /** 日列表 */
    private List <Integer> dayList;

    /** 日排除列表 */
    private List <Integer> dayNotList;
}